reset
set term push
set term postscript eps color size 15.cm,13.16cm;set output 'test.eps'
set lmargin screen 0.01; set rmargin screen 0.87
set bmargin screen 0.01; set tmargin screen 0.99
w=2. ; set xrange [-w:w];set yrange [-w:w]
#### Generate test data file test.tmp
set isosamples 201,201 #
w=2.; dw=0.5; ndw=5
set xrange [-w:w]; set yrange [-w:w]
set xtics dw; set mxtics ndw; set ytics dw; set mytics ndw
fgauss(x,y)=exp(-0.5*(x*x+y*y))#/sqrt(2.*pi)
f1(x,y)=fgauss(x,y)
f2(x,y)=fgauss(x**2,y**2)
f3(x,y)=fgauss(sqrt(abs(x)),sqrt(abs(y)))
f4(x,y)=fgauss(abs(x)**0.25,abs(y)**0.25)
f5(x,y)=fgauss(x,sqrt(abs(y)))
f6(x,y)=fgauss(x,1./sqrt(y*y+0.01))
f(x)   =fgauss(x,0.)
set table 'test.dat'
splot f3(x,y)
unset table
###########################
#wr=0.3; wg=0.5 ; wb=0.2
#f1(x)=frgb07(x)
#f2(x)=frgb05(x)
#f3(x)=frgb15(x)
#sat=1. # saturation
#wlo=0.; whi=1. # lower and upper intensity limit (contrast)
#dimgray=1.;dimr=1.;dimg=1.;dimb=1. # brightness
#dimr=dimgray*dimr;dimg=dimgray*dimg;dimb=dimgray*dimb #don't touch!
#permrgb=123 # RGB permutation
#pgamma=1. ; gamr=1. ; gamg=2. ; gamb=0.5 # gray and optional rgb gammas
#colormode=2; graymode=4; gammamode=0 # color, gray mapping, and gamma mode
#rgbfnmode=0 # use of RGB formulae instead of palette file
#### Color files ####
load 'color.inp.gp'
#### gnuplot intrinsic cubehelix mode
#set palette cubehelix start 1. cycles -1. saturation 1.25
#set palette gamma 1.25
####
set size ratio -1
#### RGB hex specs for line colors
rgb00 = '#000000'
rgb01 = '#ff0000'
rgb02 = '#00ff00'
rgb03 = '#0000ff'
rgb04 = '#00ffff'
rgb05 = '#ffff00'
rgb06 = '#ff00ff'
rgb07 = '#b4c864'
rgb08 = '#000000'
rgb09 = '#000000'
srgb0=rgb00;load 'rgbstring_process.gp'
rgb00=srgb1
srgb0=rgb01;load 'rgbstring_process.gp'
rgb01=srgb1
srgb0=rgb02;load 'rgbstring_process.gp'
rgb02=srgb1
srgb0=rgb03;load 'rgbstring_process.gp'
rgb03=srgb1
srgb0=rgb04;load 'rgbstring_process.gp'
rgb04=srgb1
srgb0=rgb05;load 'rgbstring_process.gp'
rgb05=srgb1
srgb0=rgb06;load 'rgbstring_process.gp'
rgb06=srgb1
srgb0=rgb07;load 'rgbstring_process.gp'
rgb07=srgb1
srgb0=rgb08;load 'rgbstring_process.gp'
rgb08=srgb1
srgb0=rgb09;load 'rgbstring_process.gp'
rgb09=srgb1
#print 'rgb00 = ',rgb00
#print 'rgb01 = ',rgb01
#print 'rgb02 = ',rgb02
#print 'rgb03 = ',rgb03
#print 'rgb04 = ',rgb04
#print 'rgb05 = ',rgb05
#print 'rgb06 = ',rgb06
#print 'rgb07 = ',rgb07
#print 'rgb08 = ',rgb08
#print 'rgb09 = ',rgb09
#### Line styles
lws=1.
set style line  1 lt 1 lw 1.0*lws lc rgb rgb01
set style line  2 lt 1 lw 1.0*lws lc rgb rgb02
set style line  3 lt 1 lw 1.0*lws lc rgb rgb03
set style line  4 lt 1 lw 1.0*lws lc rgb rgb04
set style line  5 lt 1 lw 1.0*lws lc rgb rgb05
set style line  6 lt 1 lw 1.0*lws lc rgb rgb00
#### Plotting options and commands ####
#print 'rgb07 = ',rgb07
#set xtics tc rgb rgb03; set ytics tc rgb rgb07
unset key
#set key tc rgb rgb05
set cbrange [0:k]; set cbtics 1
plot 'test.dat' using 1:2:(k*$3) notitle with image#,\
     f(x) w l lt 1 lw 2.0 lc rgb rgb06
#reset############
set term pop
set term push
set term postscript eps color size 15.cm,10.cm font "Helvetice, 20"; set output 'rgbcurve.eps'
set xrange [0:1]; set xtics 0.2; set mxtics 2
set yrange [0:1]; set ytics 0.2; set mytics 2
set size nosquare
set lmargin screen 0.09; set rmargin screen 0.99
set bmargin screen 0.09; set tmargin screen 0.99
set xlabel 'level' offset 0,0.5; set ylabel 'value' offset 1,0
plot palettefile using 1:(wr*$2+wg*$3+wb*$4) w l ls 6,\
     palettefile using 1:2 w l ls 1,\
     palettefile using 1:3 w l ls 2,\
     palettefile using 1:4 w l ls 3
#plot palettefile using 1:(wr*$2+wg*$3+wb*$4) w l lt 1 lw 1 lc rgb rgb00,\
     palettefile using 1:2 w l ls 1,\
     palettefile using 1:3 w l ls 2,\
     palettefile using 1:4 w l ls 3
     
set term pop
############
set term push
set term png size 1000, 100 enhanced truecolor font "Arial,24"; set output 'palette.png'

unset border

unset colorbox
set samples 1000
set isosamples 200,2

#set xtics add ("" 1000., "" 16000.)
set lmargin at screen 0
set rmargin at screen 1
set bmargin at screen 0
set tmargin at screen 1
unset xlabel

#set lmargin at screen 0.015
#set rmargin at screen 0.99
#set bmargin at screen 0.35
#set tmargin at screen 1

#plot '++' using 1:2:($1) with image
#set palette file 'tempscale0.rgb' u (log10($1)):2:3:4;set cbrange [0:4]
#set xrange [0:5]; set palette file 'tempscale0.rgb' u (log10($1)):2:3:4; set cbrange [0:4]
#set xtics 1; set mxtics 4; unset ytics
#set xtics add ("" 5)
set autoscale cb
plot '++' using ($1):2:($1) with image
unset output
set term pop
